# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased](https://git.rustybever.be/Chewing_Bever/rieter/src/branch/dev)

### Added

* Server
    * Functional repository server
        * Serve packages from any number of repositories & architectures
        * Publish packages to and delete packages from repositories using HTTP
          requests
        * Packages of architecture "any" are part of every architecture's
          database
        * Bearer authentication for private routes
    * REST API
        * Repository & package information available using JSON REST API
